#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2016-04-08
#
#
# 2023-06-14: removed declare_invtable_view from view definition on cmk 2.2 (see werk 15493)
#             changed inventory_displayhints import (see werk 15493)
# 2024-03-08: moved view back to ~/local/share/check_mk/web/plugins/views


from cmk.gui.i18n import _
from cmk.gui.views.inventory.registry import inventory_displayhints

inventory_displayhints.update({
    '.networking.wlan.controller.ap_cdp_cache:': {'title': _('Access Points CDP Cache'),
                                                  'keyorder': ['ap_name', 'ap_address', 'neighbour_name',
                                                               'neighbour_address', 'neighbour_interface',
                                                               'neighbour_platform', ],
                                                  'view': 'invwlcapcdpcache_of_host',
                                                  },
    '.networking.wlan.controller.ap_cdp_cache:*.ap_name': {'title': _('AP name'), },
    '.networking.wlan.controller.ap_cdp_cache:*.ap_address': {'title': _('AP address'), },
    '.networking.wlan.controller.ap_cdp_cache:*.neighbour_name': {'title': _('Neighbour name'), },
    '.networking.wlan.controller.ap_cdp_cache:*.neighbour_address': {'title': _('Neighbour address'), },
    '.networking.wlan.controller.ap_cdp_cache:*.neighbour_interface': {'title': _('Neighbour interface'), },
    '.networking.wlan.controller.ap_cdp_cache:*.neighbour_platform': {'title': _('Neighbour platform'), },
    '.networking.wlan.controller.ap_cdp_cache:*.duplex': {'title': _('Duplex'), },
    '.networking.wlan.controller.ap_cdp_cache:*.speed': {'title': _('Speed'), },
})
